package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.dsk.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 供应商分类查询
 *
 * @author
 * @since 2023-12-10
 */
@Data
@ExcelIgnoreUnannotated
public class CustomerInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;
    @Excel(name = "序号", width = 6)
    private Integer num;
    /**
     * 客商主键
     */
    private Long customerKey;
    /**
     * ipm供应商id
     */
    private String customerId;
    /**
     * 供应商编号
     */
    @Excel(name = "供应商编号", width = 15)
    private String customerCode;
    /**
     * 供应商名称
     */
    private String customerName;
    /**
     * 供应商名称导出
     * 列表查询时customerName可能作为查询关键字被标红,所以单独设置此属性
     */
    @Excel(name = "供应商名称", width = 30)
    private String customerNameExport;
    /**
     * 二级市场企业编码
     */
    @Excel(name = "二级市场企业编码", width = 15)
    private String secondaryCode;
    /**
     * 统一社会信用代码/营业执照号码
     */
    @Excel(name = "统一社会信用代码/营业执照号码", width = 30)
    private String unifySocialCode;
    /**
     * 推荐公司
     */
    @Excel(name = "推荐单位", width = 30)
    private String recommendOrg;
    /**
     * 注册地区域
     */
    @Excel(name = "公司注册区域", width = 10)
    private String registerRegion;
    /**
     * 省份
     */
    @Excel(name = "公司注册省", width = 10)
    private String registerProvince;
    /**
     * 城市
     */
    @Excel(name = "公司注册市", width = 10)
    private String registerCity;
    /**
     * 法人代表
     */
    @Excel(name = "法人代表", width = 10)
    private String representative;
    /**
     * 联系人
     */
    @Excel(name = "公司联系人", width = 10)
    private String contactPerson;
    /**
     * 联系人电话
     */
    @Excel(name = "联系人电话", width = 10)
    private String contactPhone;
    /**
     * 注册资金
     */
    @Excel(name = "注册资金（万元）", cellType = Excel.ColumnType.NUMERIC, width = 10)
    private Double registerCapital;
    /**
     * 纳税人身份
     */
    @Excel(name = "纳税人身份", width = 10)
    private String paytaxType;
    /**
     * 纳税人税率
     */
    @Excel(name = "纳税人税率", width = 10)
    private String taxRate;
    /**
     * 资质等级
     */
    @Excel(name = "资质等级", width = 10)
    private String credential;
    /**
     * 队长名称
     */
    @Excel(name = "劳务队长", width = 10)
    private String leaderName;
    /**
     * 劳务队长联系电话
     */
    @Excel(name = "队长联系电话", width = 10)
    private String laborCaptainPhone;
    /**
     * 劳务队长身份证号
     */
    @Excel(name = "队长身份证号", width = 10)
    private String laborCaptainIdcard;
    /**
     * 队伍规模人数
     */
    @Excel(name = "队伍规模", cellType = Excel.ColumnType.NUMERIC, width = 10)
    private Double serviceTeamPersonnum;
    /**
     * 专业特长
     */
    @Excel(name = "专业特长", width = 10)
    private String serviceTeamSpeciality;
    /**
     * 准入时间
     */
    @Excel(name = "准入时间", width = 10, dateFormat = "yyyy-MM-dd")
    private Date approveDate2;
    /**
     * 公司合作数量
     */
    @Excel(name = "公司合作数量", width = 10)
    private Integer enterpriseCooperationCount;
    /**
     * 合作项目数量
     */
    @Excel(name = "合作项目数量", width = 10)
    private Integer projectCooperationCount;
    /**
     * 考评等级
     */
    @Excel(name = "分包商等级", width = 10)
    private String creditLevel;
    /**
     * 供应商状态
     */
    private String customerState;
    /**
     * 推荐公司ID
     */
    private String recommendOrgId;
    /**
     * 集团专业类别
     */
    @Excel(name = "专业类别", width = 20)
    private String groupSpecialty;
    /**
     * 施工承包范围
     */
    private String constructJobScope;
    /**
     * 供应商类别
     */
    private String customerClass;
    /**
     * jsk企业id
     */
    private Integer companyId;

}
